Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.StraightLane Class Reference

Represents single straight lane. More...

Inheritance diagram for Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.StraightLane:

## Public Member Functions
| StraightLane (Point startPoint, Point endPoint)
| Constructor of straight lane. More...
Public Member Functions inherited from Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane
void | AddInnerNode (InnerNode innerNodeToAdd)
| Adds new inner node. More...

## Additional Inherited Members
Protected Member Functions inherited from Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane
| Lane (Point startPoint, Point endPoint)
| Lane constructor. More...
Protected Attributes inherited from Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane
StartNode | startNode
| Node on the input end of lane. More...
Node | endNode
| Node on the output end of lane. More...
Properties inherited from Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane
StartNode | StartNode`[get]`
| Node on the input end of lane. More...
Node | EndNode`[get]`
| Node on the output end of lane. More...
ReadOnlyCollection< InnerNode > | InnerNodes`[get]`
| Inner nodes on the lane. More...

## Detailed Description

Represents single straight lane.

Definition at line 11 of file StraightLane.cs.

## Constructor & Destructor Documentation

Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.StraightLane.StraightLane | ( | Point | startPoint,
|  | Point | endPoint
| ) |  |

Constructor of straight lane.

Parameters

  startPoint | Location of input end.
  endPoint | Location of output end.

Definition at line 18 of file StraightLane.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator - Model/GeometricObjects/Lanes/StraightLane.cs